#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Sphinx themes for Pylons Project documentation
Summary(pl.UTF-8):	Motywy Sphinksa do dokumentacji z projektu Pylons
Name:		python-pylons-sphinx-themes
Version:	1.0.13
Release:	4
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pylons-sphinx-themes/
Source0:	https://files.pythonhosted.org/packages/source/p/pylons-sphinx-themes/pylons-sphinx-themes-%{version}.tar.gz
# Source0-md5:	13770aecbd941294552da7bbc7e26470
URL:		https://pylonsproject.org/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains Sphinx themes for Pylons related projects.

%description -l pl.UTF-8
Ten pakiet zawiera motywy Sphinksa dla projektów powiązanych z Pylons.

%package -n python3-pylons-sphinx-themes
Summary:	Sphinx themes for Pylons Project documentation
Summary(pl.UTF-8):	Motywy Sphinksa do dokumentacji z projektu Pylons
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-pylons-sphinx-themes
This package contains Sphinx themes for Pylons related projects.

%description -n python3-pylons-sphinx-themes -l pl.UTF-8
Ten pakiet zawiera motywy Sphinksa dla projektów powiązanych z Pylons.

%prep
%setup -q -n pylons-sphinx-themes-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt CONTRIBUTORS.txt COPYRIGHT.txt LICENSE.txt README.md
%{py_sitescriptdir}/pylons_sphinx_themes
%{py_sitescriptdir}/pylons_sphinx_themes-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pylons-sphinx-themes
%defattr(644,root,root,755)
%doc CHANGES.txt CONTRIBUTORS.txt COPYRIGHT.txt LICENSE.txt README.md
%{py3_sitescriptdir}/pylons_sphinx_themes
%{py3_sitescriptdir}/pylons_sphinx_themes-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pylons-sphinx-themes.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> f49aab6
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> cdb937a
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d43f964
- rebuild with tests and docs

* Mon Mar 28 2022 Jakub Bogusz <qboosh@pld-linux.org> f706154
- updated to 1.0.13

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 68f1424
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f8dc8d9
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 0ca424d
- release 2 (by relup.sh)

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 2d448a0
- updated to 1.0.10

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> bd39df9
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 38e0b56
- new

